# Create identity verification Create a new identity verification Endpoint: POST /identity_verifications Version: 1.0 Security: get-bearer-token-using-oauth2 ## Query parameters: - `include` (array) include related resources in the response ## Response 201 fields (application/json): - `id` (string, required) the UUID of the identity verification. - `created_at` (string, required) An ISO 8601 formatted date-time string. - `results` (any, required) The structure of results depends on the value of idv_type. - `profile_id` (string) the UUID of the profile. - `profile` (object) A profile containing personal information used for checks and verifications. - `profile.id` (string) Identifier of an existing profile containing search criteria. - `profile.first_name` (string) The first name of the person. - `profile.middle_name` (string) The middle name of the person. Can be null if not provided. - `profile.last_name` (string) The last name of the person. - `profile.dob` (string) Date of birth in the form YYYYMMDD. Must be a valid date and cannot be in the future. If invalid, the API returns a 400 with a validation_error pointing to /dob. Example: "19950401" - `profile.phone` (string) A phone number in the form +[country code][number including area code]. (E.164 format) - `profile.email` (string) An email address. - `profile.ssn` (string) A US Social Security Number in XXX-XX-XXXX format. Hyphens are optional. - `profile.address` (object) A physical address in the United States. - `profile.address.street` (string, required) The street address, including house/building number and street name. Apartment/unit numbers may be included but are not used for matching. Example: "123 Main St" - `profile.address.city` (string, required) The name of the city or municipality. Example: "Frankfort" - `profile.address.state` (string, required) The two-letter US state code where the address is located. - `profile.address.zip_code` (string, required) The US postal ZIP code for the address. - `profile.address.country` (string) The two-letter country code, typically "US" for United States addresses. - `profile.custom_id` (string) An identifier of your choice, if you wish to use one. Limited to 64 alphanumeric characters, underscores, and hyphens. - `profile.driver_license_state` (string) A two-letter US state code. - `profile.driver_license_number` (string) The driver license number. Format dependent on State. Example: "D1234567" - `idv_type` (string, required) The type of identity verification to be done. Enum: "pii_validation", "document_verification", "personal_identity_records" - `reference_id` (string) A reference identifier for linking related records. Limited to 64 alphanumeric characters, underscores, and hyphens. ## Response 400 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 401 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 403 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 429 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name" ## Response 500 fields (application/json): - `code` (string, required) A machine-readable error code. Example: "invalid_request" - `title` (string, required) A human-readable error title. Example: "Invalid Request" - `source` (object) An object containing references to the source of the error. - `source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document. Example: "/data/attributes/first_name"